Subject: bug#57479: closed (Re: bug#60975: [PATCH] gnu: inkscape: Fix qrcode rendering.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 27 Jan 2023 15:28:03 +0000

Your bug report

#57479: Inkscape can't find python-lxml

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57479: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57479
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60975: [PATCH] gnu: inkscape: Fix qrcode rendering.
From: Ludovic Courtès <[email-masked]>
To: Michael Rohleder <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 27 Jan 2023 16:27:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Michael Rohleder <[email-masked]> skribis:

> Fixes <https://issues.guix.gnu.org/57479>.
>
> * gnu/packages/inkscape.scm (inkscape)[inputs]: Add python-cssselect.

Applied, thanks!

Ludo’.

Subject: Inkscape can't find python-lxml
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 29 Aug 2022 22:50:09 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm not able to create QR codes in Inkscape.

I try to create a QR code in Inkscape by going through these menus:
Extensions -> Render -> Barcode -> QR Code

But, when I click "Apply" to create the QR code, Inkscape prints an
error message like this:

------
Traceback (most recent call last):
  File "/gnu/store/crndrs40jrk5ddfxi7569123lbibhz42-inkscape-1.2.1/share/inkscape/extensions/render_barcode_qrcode.py", line 30, in <module>
    import inkex
  File "/gnu/store/crndrs40jrk5ddfxi7569123lbibhz42-inkscape-1.2.1/share/inkscape/extensions/inkex/__init__.py", line 11, in <module>
    from .extensions import *
  File "/gnu/store/crndrs40jrk5ddfxi7569123lbibhz42-inkscape-1.2.1/share/inkscape/extensions/inkex/extensions.py", line 34, in <module>
    from .elements import (
  File "/gnu/store/crndrs40jrk5ddfxi7569123lbibhz42-inkscape-1.2.1/share/inkscape/extensions/inkex/elements/__init__.py", line 9, in <module>
    from ._parser import SVG_PARSER, load_svg
  File "/gnu/store/crndrs40jrk5ddfxi7569123lbibhz42-inkscape-1.2.1/share/inkscape/extensions/inkex/elements/_parser.py", line 30, in <module>
    from lxml import etree
ModuleNotFoundError: No module named 'lxml'
------

Any ideas?